%define module	String-Approx
%define name	perl-%{module}
%define version 3.24
%define release 1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl extension for approximate matching (fuzzy matching)
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/J/JH/JHI/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Buildrequires:	perl-devel

%description
String::Approx lets you match and substitute strings approximately. With this
you can emulate errors: typing errorrs, speling errors, closely related
vocabularies (colour color), genetic mutations (GAG ACT), abbreviations
(McScot, MacScot).

%prep
%setup -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc Artistic BUGS COPYRIGHT COPYRIGHT.agrep ChangeLog LGPL PROBLEMS README README.apse
%{perl_vendorarch}/auto/String
%{perl_vendorarch}/String
%{_mandir}/*/*

%changelog
* Wed Jan 19 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.24-1mdk
- 3.24
- Add tests, fix URL, trim verbose description

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 3.23-4mdk
- Rebuild for new perl

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.23-3mdk 
- rpmbuildupdate aware

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.23-2mdk
- fixed dir ownership (distlint)

* Mon Dec 15 2003 Guillaume Rousse <guillomovitch@mandrake.org> 3.23-1mdk
- first mdk release
